Bug 1000334 - Review Request: rubygem-single_test - Rake tasks to invoke single tests/specs with rakish syntax
Summary: Review Request: rubygem-single_test - Rake tasks to invoke single tests/specs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-23 08:44 UTC by Miroslav Suchý
Modified: 2013-09-08 00:35 UTC (History)
1 user (show)

Fixed In Version: rubygem-single_test-0.6.0-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-08 00:35:13 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2013-08-23 08:44:33 UTC
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-single_test/rubygem-single_test.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-single_test/rubygem-single_test-0.6.0-1.fc19.src.rpm
Description:
Runs a single test/spec via rake.

Fedora Account System Username: msuchy
Koji scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=5844696

Comment 1 Miroslav Suchý 2013-08-23 08:46:01 UTC
Just quick note: spec file does not contain %check section, because tests use bundler and therefore are not so much useful for us.

Comment 2 Mamoru TASAKA 2013-08-25 07:31:45 UTC
Taking. I will appreciate it if you would review one of my review requests (e.g. bug 912960 )

Comment 3 Mamoru TASAKA 2013-08-26 04:50:03 UTC
Some initial comments:

* Software Collection macros
  - I don't know well about the current status of SCL, however
    it you want to add SCL macros, please follow
    https://fedoraproject.org/wiki/Packaging:Guidelines#Software_Collection_Macros
    (especially the sentence beginning whth "Packages who choose....")

? Unknown macros
  - Would you explain how %git_hash macro is used?
    (Also see below)

* Licensing
  - The following page
    https://raw.github.com/grosser/single_test/master/Readme.md
    says this is under MIT. At least please include the above
    license text in the binary rpm and modify License tag.

* Using %gem_install
  - %gem_install is available on Fedora 18 and above (so you can
    change to %if 0%{?fedora} >= 18 )

* %check
  - > Just quick note: spec file does not contain %check section, 
    > because tests use bundler and therefore are not so much useful for us.
    Well, so would you explain why "BR: rubygem-rspec" exists?
    (By the way. please use rubygem(rspec) instead of rubygem-rspec)

    Note that git source
    https://github.com/grosser/single_test.git
    contains spec/ directory and it seems you can do some tests via
    $ rspec spec/
    using git source. It is recommended that you package test files
    under spec/ directory from git source and add %check section, do
    some tests there (or still bundler is needed for rspec test
    suite?)

Comment 4 Mamoru TASAKA 2013-08-26 05:17:25 UTC
Additional commens

* rpmlint
  - Please fix below
rubygem-single_test.noarch: E: script-without-shebang /usr/share/gems/gems/single_test-0.6.0/lib/single_test/tasks.rb

Comment 5 Miroslav Suchý 2013-08-26 12:20:22 UTC
> * Software Collection macros
added that comment

> %git_hash macro
This was left over (see below). Removed.

> * Licensing
Good catch. I missed this. Fixed. I however decided to not include separate license file as I am not sure what to put in first line of MIT-LICENSE. Filed:
https://github.com/grosser/single_test/issues/12

> * Using %gem_install
Fixed.

> * %check
Well I tried to package that git archive and include it as SOURCE1 (from this try-and-error comes that %git_hash macro where I stored git hash from which I made tar.gz).
I tried to run
  rspec spec/
But what cause problems is:
  bundle exec rspec
And I'm not really sure if seding it to s/bundle exec rspec/rspec/ is correct way. I would rather avoid that as the semantics can be different.

> * rpmlint
Fixed

Comment 7 Mamoru TASAKA 2013-08-27 01:36:57 UTC
Is http://miroslav.suchy.cz/ alive?

Comment 8 Mamoru TASAKA 2013-08-27 06:36:34 UTC
Well,

(In reply to Miroslav Suchý from comment #5)
> > * Licensing
> Good catch. I missed this. Fixed. I however decided to not include separate
> license file as I am not sure what to put in first line of MIT-LICENSE.

  - What I meant here is that at least you should include
    "README.md" which declares that this is under MIT (MIT license has
    some variants so it is actually unsure what "MIT" license to put in,
    however as long as README.md says "this is MIT", we can trust it)

Comment 9 Mamoru TASAKA 2013-08-27 06:37:12 UTC
BTW now it seems http://miroslav.suchy.cz/ is alive.

Comment 10 Miroslav Suchý 2013-08-27 07:59:30 UTC
> Is http://miroslav.suchy.cz/ alive
I have short outage of my personal web server. You was just lucky to hit it :)

> > * Licensing
OK. It is not included directly in gem file, so I added it as second and third source (together with LICENSE which Michael promptly committed to git.

Updated:
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-single_test/rubygem-single_test.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-single_test/rubygem-single_test-0.6.0-3.fc19.src.rpm

Comment 11 Mamoru TASAKA 2013-08-28 09:00:44 UTC
For -3:

* Place for documentation
  - Well, as usually gem installs document files under %gem_instdir,
    perhaps it is better that MIT-LICENSE and README.md be put under
    %gem_instdir, not under %_defaultdocdir/%name{-%version} .

Comment 13 Mamoru TASAKA 2013-08-30 12:07:51 UTC
Approving.

-----------------------------------------------------------------
    This package (rubygem-single_test) is APPROVED by mtasaka
------------------------------------------------------------------

Comment 14 Miroslav Suchý 2013-08-30 12:24:26 UTC
Thank you.

Comment 15 Miroslav Suchý 2013-08-30 12:26:22 UTC
New Package SCM Request
=======================
Package Name: rubygem-single_test
Short Description: Rake tasks to invoke single tests/specs with rakish syntax
Owners: msuchy
Branches: f19 f20
InitialCC:

Comment 16 Gwyn Ciesla 2013-08-30 12:39:04 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2013-08-30 12:49:49 UTC
rubygem-single_test-0.6.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-single_test-0.6.0-5.fc19

Comment 18 Fedora Update System 2013-08-30 22:56:49 UTC
rubygem-single_test-0.6.0-5.fc19 has been pushed to the Fedora 19 testing repository.

Comment 19 Fedora Update System 2013-09-08 00:35:13 UTC
rubygem-single_test-0.6.0-5.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.